import { world } from "@minecraft/server";

export default function growTreeBone(location, fruit, playerplaced, dimension) {
  const rotations = ["0_degrees", "180_degrees", "270_degrees", "90_degrees"];
  const offsets = [0, 0, 1, 2];
  let treernd, randomIndex, fruitParts, fruitName;
  try {
    if (location != undefined) {
      dimension.runCommand(`setblock ${location.x} ${location.y} ${location.z} air replace`);
      randomIndex = Math.floor(Math.random() * 4.0);
      if (playerplaced) {
        treernd = Math.floor(Math.random() * 3.0);
      } else {
        treernd = Math.floor(Math.random() * 3.0);
      }
      fruitParts = fruit.split(":");
      fruitName = fruitParts.length > 1 ? fruitParts[1].split("_")[0] : fruitParts[0];
      if (treernd == 0) {
        dimension.runCommand(
          `structure load "float_fc/${fruitName}_tree_7x7_1" ${location.x - 3} ${location.y - 1} ${location.z - 3} ${
            rotations[randomIndex]
          } none layer_by_layer 3`
        );
      } else if (treernd == 1) {
        dimension.runCommand(
          `structure load "float_fc/${fruitName}_tree_7x7_2" ${location.x - 3} ${location.y - 1} ${location.z - 3} ${
            rotations[randomIndex]
          } none layer_by_layer 3`
        );
      } else {
        dimension.runCommand(
          `structure load "float_fc/${fruitName}_tree_7x7_3" ${location.x - 3} ${location.y - 1} ${location.z - 3} ${
            rotations[randomIndex]
          } none layer_by_layer 3`
        );
      }
    }
  } catch (e) {}
  treernd = randomIndex = fruitParts = fruitName = undefined;
  return null;
}
